realnetworks realarcade 1.2.0.994 - Multiple Vulnerabilities

2005-02-08T00:00:00
ID EDB-ID:25091
Type exploitdb
Reporter Luigi Auriemma
Modified 2005-02-08T00:00:00

Description

RealNetworks RealArcade 1.2 .0.994 Multiple Remote Vulnerabilities. Remote exploits for multiple platform

                                        
                                            source: http://www.securityfocus.com/bid/12494/info

Multiple remote vulnerabilities reportedly affect RealNetworks RealArcade. The first issue allows for arbitrary file deletion due to an input validation issue. The second issue is an integer overflow issue resulting in code execution.

Both of these issues require an unsuspecting user to download and activate a malicious file for exploitation.

Successful exploitation of these issues will facilitate code execution and file deletion with the privileges of an unsuspecting user that activates a malicious RealArcade file. 

https://github.com/offensive-security/exploit-database-bin-sploits/raw/master/sploits/25091-1.rgp

https://github.com/offensive-security/exploit-database-bin-sploits/raw/master/sploits/25091-2.rgs